com.genesyslab.wfm8.API.service.schedule850

## Class SchCandidateHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchCandidateHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchCandidateHolder
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Candidates holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchBid>` | `bids` An array of `SchBid` providing candidates' bidding.
    `protected int` | `bidsNSizeIs` The number of elements in the 'bids' array.
    `protected java.util.List<SchCandidate>` | `candidates` An array of `SchCandidate` information.
    `protected int` | `candidatesNSizeIs` The number of elements in the 'candidates' array.
    `protected java.util.List<CfgAgentShort>` | `cfgAgentInfo` An array of `CfgAgentShort` containing agent information about every candidate returned.
    `protected int` | `cfgAgentInfoNSizeIs` The number of elements in the 'cfgAgentInfo' array.
    `protected java.util.List<SchCandidate>` | `mergedCandidates` An array of `SchCandidate` providing information about merged identical profile agent schedules.
    `protected int` | `mergedCandidatesNSizeIs` The number of elements in the 'mergedCandidates' array.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchCandidateHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchBid>` | `getBids()` Gets the value of the bids property.
    `int` | `getBidsNSizeIs()` Gets the value of the bidsNSizeIs property.
    `java.util.List<SchCandidate>` | `getCandidates()` Gets the value of the candidates property.
    `int` | `getCandidatesNSizeIs()` Gets the value of the candidatesNSizeIs property.
    `java.util.List<CfgAgentShort>` | `getCfgAgentInfo()` Gets the value of the cfgAgentInfo property.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the value of the cfgAgentInfoNSizeIs property.
    `java.util.List<SchCandidate>` | `getMergedCandidates()` Gets the value of the mergedCandidates property.
    `int` | `getMergedCandidatesNSizeIs()` Gets the value of the mergedCandidatesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setBids(java.util.List<SchBid> bids)` Sets the value of the bids property.
    `void` | `setBidsNSizeIs(int value)` Sets the value of the bidsNSizeIs property.
    `void` | `setCandidates(java.util.List<SchCandidate> candidates)` Sets the value of the candidates property.
    `void` | `setCandidatesNSizeIs(int value)` Sets the value of the candidatesNSizeIs property.
    `void` | `setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)` Sets the value of the cfgAgentInfo property.
    `void` | `setCfgAgentInfoNSizeIs(int value)` Sets the value of the cfgAgentInfoNSizeIs property.
    `void` | `setMergedCandidates(java.util.List<SchCandidate> mergedCandidates)` Sets the value of the mergedCandidates property.
    `void` | `setMergedCandidatesNSizeIs(int value)` Sets the value of the mergedCandidatesNSizeIs property.
    `java.lang.String` | `toString()`
    `SchCandidateHolder` | `withBids(java.util.Collection<SchBid> values)`
    `SchCandidateHolder` | `withBids(SchBid... values)`
    `SchCandidateHolder` | `withBidsNSizeIs(int value)`
    `SchCandidateHolder` | `withCandidates(java.util.Collection<SchCandidate> values)`
    `SchCandidateHolder` | `withCandidates(SchCandidate... values)`
    `SchCandidateHolder` | `withCandidatesNSizeIs(int value)`
    `SchCandidateHolder` | `withCfgAgentInfo(CfgAgentShort... values)`
    `SchCandidateHolder` | `withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)`
    `SchCandidateHolder` | `withCfgAgentInfoNSizeIs(int value)`
    `SchCandidateHolder` | `withMergedCandidates(java.util.Collection<SchCandidate> values)`
    `SchCandidateHolder` | `withMergedCandidates(SchCandidate... values)`
    `SchCandidateHolder` | `withMergedCandidatesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### candidatesNSizeIs

          protected int candidatesNSizeIs

      The number of elements in the 'candidates' array.

    - #### candidates

          protected java.util.List<SchCandidate> candidates

      An array of `SchCandidate` information.

    - #### cfgAgentInfoNSizeIs

          protected int cfgAgentInfoNSizeIs

      The number of elements in the 'cfgAgentInfo' array.

    - #### cfgAgentInfo

          protected java.util.List<CfgAgentShort> cfgAgentInfo

      An array of `CfgAgentShort` containing agent information about every candidate returned.

    - #### bidsNSizeIs

          protected int bidsNSizeIs

      The number of elements in the 'bids' array.

    - #### bids

          protected java.util.List<SchBid> bids

      An array of `SchBid` providing candidates' bidding.

    - #### mergedCandidatesNSizeIs

          protected int mergedCandidatesNSizeIs

      The number of elements in the 'mergedCandidates' array.

    - #### mergedCandidates

          protected java.util.List<SchCandidate> mergedCandidates

      An array of `SchCandidate` providing information about merged identical profile agent schedules.

  - ### Constructor Detail

    - #### SchCandidateHolder

          public SchCandidateHolder()

  - ### Method Detail

    - #### getCandidatesNSizeIs

          public int getCandidatesNSizeIs()

      Gets the value of the candidatesNSizeIs property.

    - #### setCandidatesNSizeIs

          public void setCandidatesNSizeIs(int value)

      Sets the value of the candidatesNSizeIs property.

    - #### getCandidates

          public java.util.List<SchCandidate> getCandidates()

      Gets the value of the candidates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the candidates property.

      For example, to add a new item, do as follows:

              getCandidates().add(newItem);

      Objects of the following type(s) are allowed in the list `SchCandidate`

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the value of the cfgAgentInfoNSizeIs property.

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int value)

      Sets the value of the cfgAgentInfoNSizeIs property.

    - #### getCfgAgentInfo

          public java.util.List<CfgAgentShort> getCfgAgentInfo()

      Gets the value of the cfgAgentInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgAgentInfo property.

      For example, to add a new item, do as follows:

              getCfgAgentInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentShort`

    - #### getBidsNSizeIs

          public int getBidsNSizeIs()

      Gets the value of the bidsNSizeIs property.

    - #### setBidsNSizeIs

          public void setBidsNSizeIs(int value)

      Sets the value of the bidsNSizeIs property.

    - #### getBids

          public java.util.List<SchBid> getBids()

      Gets the value of the bids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bids property.

      For example, to add a new item, do as follows:

              getBids().add(newItem);

      Objects of the following type(s) are allowed in the list `SchBid`

    - #### getMergedCandidatesNSizeIs

          public int getMergedCandidatesNSizeIs()

      Gets the value of the mergedCandidatesNSizeIs property.

    - #### setMergedCandidatesNSizeIs

          public void setMergedCandidatesNSizeIs(int value)

      Sets the value of the mergedCandidatesNSizeIs property.

    - #### getMergedCandidates

          public java.util.List<SchCandidate> getMergedCandidates()

      Gets the value of the mergedCandidates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mergedCandidates property.

      For example, to add a new item, do as follows:

              getMergedCandidates().add(newItem);

      Objects of the following type(s) are allowed in the list `SchCandidate`

    - #### withCandidatesNSizeIs

          public SchCandidateHolder withCandidatesNSizeIs(int value)

    - #### withCandidates

          public SchCandidateHolder withCandidates(SchCandidate... values)

    - #### withCandidates

          public SchCandidateHolder withCandidates(java.util.Collection<SchCandidate> values)

    - #### withCfgAgentInfoNSizeIs

          public SchCandidateHolder withCfgAgentInfoNSizeIs(int value)

    - #### withCfgAgentInfo

          public SchCandidateHolder withCfgAgentInfo(CfgAgentShort... values)

    - #### withCfgAgentInfo

          public SchCandidateHolder withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)

    - #### withBidsNSizeIs

          public SchCandidateHolder withBidsNSizeIs(int value)

    - #### withBids

          public SchCandidateHolder withBids(SchBid... values)

    - #### withBids

          public SchCandidateHolder withBids(java.util.Collection<SchBid> values)

    - #### withMergedCandidatesNSizeIs

          public SchCandidateHolder withMergedCandidatesNSizeIs(int value)

    - #### withMergedCandidates

          public SchCandidateHolder withMergedCandidates(SchCandidate... values)

    - #### withMergedCandidates

          public SchCandidateHolder withMergedCandidates(java.util.Collection<SchCandidate> values)

    - #### setCandidates

          public void setCandidates(java.util.List<SchCandidate> candidates)

      Sets the value of the candidates property.
      Parameters:
        `candidates` - allowed object is `SchCandidate`

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)

      Sets the value of the cfgAgentInfo property.
      Parameters:
        `cfgAgentInfo` - allowed object is `CfgAgentShort`

    - #### setBids

          public void setBids(java.util.List<SchBid> bids)

      Sets the value of the bids property.
      Parameters:
        `bids` - allowed object is `SchBid`

    - #### setMergedCandidates

          public void setMergedCandidates(java.util.List<SchCandidate> mergedCandidates)

      Sets the value of the mergedCandidates property.
      Parameters:
        `mergedCandidates` - allowed object is `SchCandidate`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.